import { FieldType } from "./FieldType";
export interface FieldSchema {
    Id: number;
    Code: string;
    FieldName: string;
    Label: string;
    Type: FieldType | string;
    PlaceHolder?: string;
    RelativeURL?: string;
    DataType?: string;
    OrderIndex?: 1;
    CssClass?: string;
    IsReadOnly?: boolean;
    IsRequired?: boolean;
    totalrow?: number;
    totalcol?: number;
    Row?: number;
    ColLabel?: number;
    ColControl?: number;
    ColSpanControl?: string | number;
    IsHidden?: boolean;
    IsDisable?: boolean;
    Sup?: string;
    OffSetControl?: string;
    Max?: number;
    Min?: number;
    DefaultValue?: any;
    Icon?: string;
    Insite?: boolean;
    IsFocus?: boolean;
    DefaultOption?: any;
    Multiple?: boolean;
    Accept?: string;
    Service?: string;
    ButtonName?: string;
    IsIdValue?: boolean;
    CanRevealPassword?: boolean;
}
