declare const dateConverter: {
    getCurrent: () => void;
    formatDate: (date: any, format?: string, setTimeZone?: boolean) => string;
    /**
     * lấy số tháng giữa 2 ngày
     * @param startDate định dạng yyyy/MM/dd
     * @param endDate định dạng yyyy/MM/dd
     */
    dateRange: (startDate: any, endDate: any) => any[];
    getNameOfMonth: (month: number) => string;
    /**
     * Số tuần giữa 2 date
     * @param d1 : Date
     * @param d2 : Date
     */
    weeksBetween: (d1: any, d2: any) => number;
    /**
     * Số ngày thứ 2 của 1 tháng
     * @param date : yyyy/MM/dd
     */
    getNumMondays: (date: any) => any[];
    /**
     * Lấy ngày cuối tuần của 1 ngày trong tuần
     * @param date
     */
    getSunday: (date: any) => Date;
};
export { dateConverter };
