import { IDropdownOption } from "@fluentui/react";
export declare const PlaceholderDefault = "- Ch\u1ECDn -";
export declare const PAGE_SIZE_DEFAULT = 10;
export declare const PROCESS_NAME: {
    ASSET: string;
};
export declare const RenderSymbol: {
    NEXT: string;
    NEXT_END: string;
    PREVIOUS: string;
    LAST_PREVIUOS: string;
};
export interface IOption {
    key: number;
    text: string;
}
export interface IOption {
    key: number;
    text: string;
}
export interface IPerm {
    0: string;
    1: string;
    2: string;
}
export declare const ID_PERM: IPerm;
export interface IListTypePerm {
    QuyenQuanLy: number;
    QuyenSuDung: number;
    QuyenSoHuuTaiSan: number;
}
export declare const LIST_TYPE_PERM: IListTypePerm;
export declare const TrangThaiDropOption: IDropdownOption[];
export declare const TGHLKyLuatOptions: IOption[];
export declare const TinhTrangKyLuatOptions: IOption[];
export declare const DoiTuongNopHSKLOptions: IOption[];
export declare const LoaiDiem: IOption[];
export declare const DonViDiem: IOption[];
export declare const StatusOptions: IOption[];
export declare const KHDCHocPhanStatusOptions: IOption[];
export declare const XepLoaiOptions: IOption[];
export declare const ThangDiemOptions: IOption[];
export declare const CBStatusOptions: IOption[];
export declare const KhoaCBGVStatusOptions: IOption[];
export declare const VaiTroCTSVOptions: IOption[];
export declare const TrucThuocOptions: IOption[];
export declare const KeHoachStatusOptions: IOption[];
export declare const StatusDSTrungTuyenOptions: IOption[];
export declare const TrangThaiXetTuyenSBOptions: IOption[];
export declare const StatusDotTSOptions: IOption[];
export declare const CTDaoTaoStatus: IOption[];
export declare enum KHNamStepEnum {
    Step1_LDPDT_LKH = 1,
    Step2_CVPDT_XayDungKHTD = 2,
    Step3_LDPDT_PheDuyetKHTD = 3,
    Step4_KHOA_RaSoatKHTD = 4,
    Step5_LDPDT_PheDuyetDieuChinhKHTD = 5,
    Step6_PHT_PheDuyetKHTD = 6,
    Step7_PHT_BanHanhKHTD = 7
}
export declare enum WorkFlowEnum {
    HocPhan = 1,
    CTDT = 2,
    KHNam = 3,
    DKHoc = 4,
    Diem = 5,
    XetHocVu = 6,
    DKNVHoc = 7,
    SongBang = 8
}
export declare const KHNamStatus: IOption[];
export declare enum DKHocStepEnum {
    Step1_LDPDT_LKH = 1,
    Step2_CVPDT_XayDungKHTD = 2,
    Step3_LDPDT_PheDuyetKHTD = 3,
    Step4_KHOA_XDHeSoTinChi = 4,
    Step5_SV_DangKyHoc = 5,
    Step6_PHT_End = 6
}
export declare enum KHThiStepEnum {
    Step1_LKH = 1,
    Step2_XayDung = 2,
    Step3_PheDuyet = 3
}
export declare const KHThiStatus: IOption[];
export declare const DKHocStatus: IOption[];
export declare const ThoiDiemGuiTuDongOptions: IOption[];
export declare const DSGuiTinOptions: IOption[];
export declare const TrangthaiNienKhoaOptions: IOption[];
export declare const LoaiKhoaOptions: IOption[];
export declare const ViTriTrongTienDoOptions: IOption[];
export declare const XayDungKHToiOptions: IOption[];
export declare const ViTriSoVoiKHOptions: IOption[];
export declare const YearOptions: IOption[];
export declare const DotTSOptions: IOption[];
export declare const NhomMauOptions: IOption[];
export declare const HinhThucTSOptions: IOption[];
export declare const TrangThaiDiemOptions: IOption[];
export declare const TrangThaiHocOptions: IOption[];
export declare const ProfileHVOptions: IOption[];
export declare const LoaiChungChi: IOption[];
export declare const GenderOptions: IDropdownOption[];
export declare const hinhThucXTItems: IDropdownOption[];
export declare const gioitinhItems: IDropdownOption[];
export declare const trangthailvItems: IDropdownOption[];
export declare const hoclucItems: IDropdownOption[];
export declare const hanhkiemItems: IDropdownOption[];
export declare const xeploaiTNItems: IDropdownOption[];
export declare const khChiTietToiItems: IDropdownOption[];
export declare const CTDTStatusOptions: IOption[];
export declare const HoSoDTStatusOptions: IOption[];
export declare const YeuCauOptions: IDropdownOption[];
export declare const HocKyOptions: IDropdownOption[];
export declare const LoaiDiemTichLuyOptions: IDropdownOption[];
export declare const ToanTuOptions: IDropdownOption[];
export declare const LoaiNVOptions: IDropdownOption[];
export declare const KeHoachDGDRLOptions: IDropdownOption[];
export declare const QuanHeGiaDinhOptions: IDropdownOption[];
export declare const KHXetHocVuOptions: IDropdownOption[];
export declare const XDKHNamTheoOptions: IDropdownOption[];
export declare const LoaiDTOptions: IDropdownOption[];
export declare const TrangThaiRaSoatOptions: IDropdownOption[];
export declare const LoaiDotOptions: IDropdownOption[];
export declare const XDKeHoachChungToiOptions: IDropdownOption[];
export declare const ToanTuDropOptions: IDropdownOption[];
export declare const LoaiDiemDacBietOptions: IDropdownOption[];
export declare const DoiTuongOptions: IDropdownOption[];
export declare const LoaiNganhSinhQuyTacMaHVOptions: IDropdownOption[];
export declare const ViTriSinhQuyTacMaHVOptions: IDropdownOption[];
export declare const PhamViSinhQuyTacMaHVOptions: IDropdownOption[];
/**
 * Các action của khoa/bộ môn quản lý học phần khi duyệt kh năm
 */
export declare const HpActionOptions: IDropdownOption[];
declare const optionMirror: {
    Status(key: string | number): string;
    TrangThai(key: string | number): string;
    TGHLKyLuat(key: string | number): string;
    TinhTrangKL(key: string | number): string;
    DoiTuongNopHSKL(key: string | number): string;
    ToanTu(key: string | number): string;
    NhomMau(key: string | number): string;
    QuanHeGiaDinh(key: string | number): string;
    TrucThuoc(key: string | number): string;
    VaiTro(key: string | number): string;
    LoaiDiemTichLuy(key: string | number): string;
    CBStatus(key: string | number): string;
    KhoaCBGVStatus(key: string | number): string;
    CTDaoTaoStatus(key: string | number): string;
    StatusDSTrungTuyen(key: string | number): string;
    DotTS(key: string | number): string;
    Year(key: string | number): string;
    ThoiDiemGuiTuDong(key: string | number): string;
    DSGuiTin(key: string | number): string;
    TrangThaiNienKhoa(key: string | number): string;
    HinhThucTS(key: string | number): string;
    TrangThaiDotTS(key: string | number): string;
    HinhThucXT(key: string | number): string;
    StatusDotTS(key: string | number): string;
    LoaiChungChi(key: string | number): string;
    Gender(key: string | number): string;
    ProfileHVStatus(key: string | number): string;
    KeHoachChiTietStatus(key: string | number): string;
    CTDTStatus(key: string | number): string;
    DKHocStatus(key: string | number): string;
    KeHoachStatus(key: string | number): string;
    KHNamStatus(key: string | number): string;
    KHThiStatus(key: string | number): string;
    ViTriTrongTienDo(key: string | number): string;
    ViTriSoVoiKeHoach(key: number): string;
    XayDungKHToi(key: number): string;
    XDHPYeuCau(key: number): string;
    HocKy(key: number): string;
    TrangThaiKeHoachDGDRL(key: number): string;
    XDKHNamTheo(key: number): string;
    LoaiDT(key: number): string;
    LoaiDot(key: number): string;
    XDKeHoachChungToi(key: number): string;
    KHDCHocPhan(key: number): string;
    DoiTuongQuyTacMaHV(key: number | string): string;
    LoaiNganhSinhQuyTacMaHV(key: number | string): string;
    ViTriSinhQuyTacMaHV(key: number | string): string;
    PhamViSinhQuyTacMaHV(key: number | string): string;
    XepLoai(key: number | string): string;
    HPAction(key: number | string): string;
    TrangThaiDiem(key: number | string): string;
    TrangThaiHoc(key: number | string): string;
    LoaiNV(key: number | string): string;
    KHXetHocVu(key: number | string): string;
    TrangThaiRaSoat(key: number | string): string;
    RenderDate(key?: Date | any): any;
    FormatnvComa(n: any): any;
    FormatnvDot(n: any): any;
    FormatDateInput(n: any): any;
};
export { optionMirror };
export declare enum ThamSoHeThongEnum {
    HE_SO_TIN_CHI = "HE_SO_TIN_CHI"
}
