import { IDragOptions, IIconProps, IImageProps, ITheme } from "@fluentui/react";
export declare const themeLabel: ITheme;
export declare const imageProps: Partial<IImageProps>;
export declare const imagePropsFull: Partial<IImageProps>;
export declare const models: import("@fluentui/react").IProcessedStyleSet<{
    redColor: (string | {
        color: string;
    })[];
    blueColor: (string | {
        color: string;
    })[];
    container: {
        display: string;
        flexFlow: string;
        alignItems: string;
        width: string;
        height: string;
    };
    containerFull: {
        display: string;
        flexFlow: string;
        alignItems: string;
        width: string;
        height: string;
        padding: string;
        maxHeight: string;
        maxWidth: string;
    };
    header: import("@fluentui/react").IRawStyle[];
    body: {
        flex: string;
        padding: string;
        overflow: string;
        height: string;
        selectors: {
            p: {
                margin: string;
            };
            'p:first-child': {
                marginTop: number;
            };
            'p:last-child': {
                marginBottom: number;
            };
        };
    };
    bodyFull: {
        flex: string;
        padding: string;
        overflow: string;
        height: string;
        selectors: {
            p: {
                margin: string;
            };
            'p:first-child': {
                marginTop: number;
            };
            'p:last-child': {
                marginBottom: number;
            };
        };
    };
    footer: {
        flex: string;
        color: string;
        display: string;
        alignItems: string;
        borderTop: string;
    };
}>;
export declare const dragOptions: IDragOptions;
export declare const headerIcon: {
    root: {
        color: string;
        marginTop: string;
        marginLeft: string;
        marginRight: string;
    };
    rootHovered: {
        color: string;
    };
};
export declare const iconButtonStyles: {
    root: {
        color: string;
        marginLeft: string;
        marginRight: string;
    };
    rootHovered: {
        color: string;
    };
};
export declare const cancelIcon: IIconProps;
export declare const zoomOutIcon: IIconProps;
export declare const zoomInIcon: IIconProps;
