/// <reference types="react" />
import { IDatePickerProps } from '@fluentui/react';
interface UIProps extends IDatePickerProps {
    minDate?: Date;
    maxDate?: Date;
    isRequired?: boolean;
    id?: string;
    label?: string;
    placeholder?: string;
    className?: string;
    disabled?: boolean;
    value?: any;
    onSelectDate?: (date: Date | null | undefined) => void;
}
export declare const DatePickerUI: (props: UIProps) => JSX.Element;
export default DatePickerUI;
