import React from "react";
import '../../customUI.scss';
interface IconfigDropDown {
    FieldName?: string;
    URLParams?: string[];
}
interface DynamicFormJsonUIProps {
    KeyComponent?: string;
    JsonConfig: any;
    initValues?: any;
    formSearch?: boolean;
    onAction?: Function;
    configModal?: {
        header: string;
        body: React.ReactElement;
        width: string | number;
    };
    URLParams?: any;
    DataDropdown?: any;
    isBodyShow?: Boolean;
    isBlockStyle?: Boolean;
    BodyContentStyle?: any;
    configDropdown?: IconfigDropDown[];
}
declare const DynamicFormJson: React.ForwardRefExoticComponent<DynamicFormJsonUIProps & React.RefAttributes<unknown>>;
export default DynamicFormJson;
